## hubzero-use 0.8.2

=== Makefile ===
# Copyright 2006-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License, version 2.1 as published by the Free Software Foundation.

INSTDIR=$(DESTDIR)/etc
MANDIR=$(DESTDIR)/usr/share/man
OWNER=root
GROUP=root

clean:
	rm -f build-stamp configure-stamp

install:
	install -d $(INSTDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
	install environ $(INSTDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
	install -d $(INSTDIR)/profile.d --owner $(OWNER) --group $(GROUP) --mode 0755
	install environ.sh $(INSTDIR)/profile.d --owner $(OWNER) --group $(GROUP) --mode 0644
	install setenv.sh  $(INSTDIR)/profile.d --owner $(OWNER) --group $(GROUP) --mode 0644
	install -d $(INSTDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0755
	install environ.d/emacs $(INSTDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0644
	install environ.d/gedit $(INSTDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0644
	install environ.d/joe $(INSTDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0644
	install environ.d/vi $(INSTDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0644
	install environ.d/vim $(INSTDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0644
	install -d $(MANDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
	install -d $(MANDIR)/man1 --owner $(OWNER) --group $(GROUP) --mode 0755
	install unuse.1 $(MANDIR)/man1 --owner $(OWNER) --group $(GROUP) --mode 0750
	install use.1 $(MANDIR)/man1 --owner $(OWNER) --group $(GROUP) --mode 0750

configure:
	patch  /etc/profile profile.patch

## hubzero-use 1.0.0

=== Makefile ===
# @package      hubzero-use
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2011 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.
#

INSTDIR=$(DESTDIR)/etc
ETCDIR=$(DESTDIR)/etc
MANDIR=$(DESTDIR)/usr/share/man
OWNER=root
GROUP=root

clean:
	rm -f build-stamp configure-stamp

install:
	install -d $(ETCDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
	install environ $(ETCDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
	install environ.sh $(ETCDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
	install environ.csh $(ETCDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
	install use.csh $(ETCDIR) --owner $(OWNER) --group $(GROUP) --mode 0644

	install -d $(ETCDIR)/profile.d --owner $(OWNER) --group $(GROUP) --mode 0755
	install use.sh $(ETCDIR)/profile.d --owner $(OWNER) --group $(GROUP) --mode 0644
	install setenv.sh $(ETCDIR)/profile.d --owner $(OWNER) --group $(GROUP) --mode 0644

	install -d $(ETCDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0755
	install environ.d/emacs $(ETCDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0644
	install environ.d/gedit $(ETCDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0644
	install environ.d/joe $(ETCDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0644
	install environ.d/vi $(ETCDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0644
	install environ.d/vim $(ETCDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0644

	install -d $(MANDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
	install -d $(MANDIR)/man1 --owner $(OWNER) --group $(GROUP) --mode 0755
	install unuse.1 $(MANDIR)/man1 --owner $(OWNER) --group $(GROUP) --mode 0750
	install use.1 $(MANDIR)/man1 --owner $(OWNER) --group $(GROUP) --mode 0750

configure:
	patch  /etc/profile profile.patch
	patch  /etc/csh.cshrc cshrc.patch

## hubzero-use 1.1.0

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,6 @@
 # HUBzero is a registered trademark of Purdue University.
 #
 
-INSTDIR=$(DESTDIR)/etc
 ETCDIR=$(DESTDIR)/etc
 MANDIR=$(DESTDIR)/usr/share/man
 OWNER=root
@@ -38,26 +37,23 @@
 install:
 	install -d $(ETCDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
 	install environ $(ETCDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
-	install environ.sh $(ETCDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
-	install environ.csh $(ETCDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
+	install environ.sh $(ETCDIR) --owner $(OWNER) --group $(GROUP) --mode 0644
+	install environ.csh $(ETCDIR) --owner $(OWNER) --group $(GROUP) --mode 0644
 	install use.csh $(ETCDIR) --owner $(OWNER) --group $(GROUP) --mode 0644
-
 	install -d $(ETCDIR)/profile.d --owner $(OWNER) --group $(GROUP) --mode 0755
 	install use.sh $(ETCDIR)/profile.d --owner $(OWNER) --group $(GROUP) --mode 0644
 	install setenv.sh $(ETCDIR)/profile.d --owner $(OWNER) --group $(GROUP) --mode 0644
-
 	install -d $(ETCDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0755
 	install environ.d/emacs $(ETCDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0644
 	install environ.d/gedit $(ETCDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0644
 	install environ.d/joe $(ETCDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0644
 	install environ.d/vi $(ETCDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0644
 	install environ.d/vim $(ETCDIR)/environ.d --owner $(OWNER) --group $(GROUP) --mode 0644
-
 	install -d $(MANDIR) --owner $(OWNER) --group $(GROUP) --mode 0755
 	install -d $(MANDIR)/man1 --owner $(OWNER) --group $(GROUP) --mode 0755
 	install unuse.1 $(MANDIR)/man1 --owner $(OWNER) --group $(GROUP) --mode 0750
 	install use.1 $(MANDIR)/man1 --owner $(OWNER) --group $(GROUP) --mode 0750
 
-configure:
+postinst:
 	patch  /etc/profile profile.patch
 	patch  /etc/csh.cshrc cshrc.patch

## hubzero-use 1.1.2

=== Makefile ===
# @package      hubzero-use
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

ETCDIR=$(DESTDIR)/etc
MANDIR=$(DESTDIR)/usr/share/man

default:
	@true
	
clean:
	rm -f build-stamp configure-stamp

install:
	install -D environ $(ETCDIR)/environ --mode 0755
	install -D environ.sh $(ETCDIR)/environ.sh --mode 0644
	install -D environ.csh $(ETCDIR)/environ.csh --mode 0644
	install -D use.csh $(ETCDIR)/csh/login.d/use.csh --mode 0644
	install -D use.sh $(ETCDIR)/profile.d/use.sh --mode 0644
	install -D setenv.sh $(ETCDIR)/profile.d/setenv.sh --mode 0644
	install -D environ.d/emacs $(ETCDIR)/environ.d/emacs --mode 0644
	install -D environ.d/gedit $(ETCDIR)/environ.d/gedit --mode 0644
	install -D environ.d/joe $(ETCDIR)/environ.d/joe --mode 0644
	install -D environ.d/vi $(ETCDIR)/environ.d/vi --mode 0644
	install -D environ.d/vim $(ETCDIR)/environ.d/vim --mode 0644
	install -D unuse.1 $(MANDIR)/man1/unuse.1 --mode 0644
	install -D use.1 $(MANDIR)/man1/use.1 --mode 0644

## hubzero-use 1.1.4

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-use
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-use 1.1.5

=== Makefile ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	install -D use.sh $(ETCDIR)/profile.d/use.sh --mode 0644
 	install -D setenv.sh $(ETCDIR)/profile.d/setenv.sh --mode 0644
 	install -D environ.d/emacs $(ETCDIR)/environ.d/emacs --mode 0644
+	install -D environ.d/geany $(ETCDIR)/environ.d/geany --mode 0644
 	install -D environ.d/gedit $(ETCDIR)/environ.d/gedit --mode 0644
 	install -D environ.d/joe $(ETCDIR)/environ.d/joe --mode 0644
 	install -D environ.d/vi $(ETCDIR)/environ.d/vi --mode 0644

## hubzero-use 1.1.6

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-use
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-use 1.2.0

=== Makefile ===
--- 
+++ 
@@ -25,27 +25,32 @@
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #
 
-ETCDIR=$(DESTDIR)/etc
-MANDIR=$(DESTDIR)/usr/share/man
+ETC=$(DESTDIR)/etc
+USRSHAREMAN=$(DESTDIR)/usr/share/man
 
-default:
+all:
 	@true
-	
-clean:
-	rm -f build-stamp configure-stamp
 
 install:
-	install -D environ $(ETCDIR)/environ --mode 0755
-	install -D environ.sh $(ETCDIR)/environ.sh --mode 0644
-	install -D environ.csh $(ETCDIR)/environ.csh --mode 0644
-	install -D use.csh $(ETCDIR)/csh/login.d/use.csh --mode 0644
-	install -D use.sh $(ETCDIR)/profile.d/use.sh --mode 0644
-	install -D setenv.sh $(ETCDIR)/profile.d/setenv.sh --mode 0644
-	install -D environ.d/emacs $(ETCDIR)/environ.d/emacs --mode 0644
-	install -D environ.d/geany $(ETCDIR)/environ.d/geany --mode 0644
-	install -D environ.d/gedit $(ETCDIR)/environ.d/gedit --mode 0644
-	install -D environ.d/joe $(ETCDIR)/environ.d/joe --mode 0644
-	install -D environ.d/vi $(ETCDIR)/environ.d/vi --mode 0644
-	install -D environ.d/vim $(ETCDIR)/environ.d/vim --mode 0644
-	install -D unuse.1 $(MANDIR)/man1/unuse.1 --mode 0644
-	install -D use.1 $(MANDIR)/man1/use.1 --mode 0644
+	install -D environ $(ETC)/environ --mode 0755
+	install -D environ.sh $(ETC)/environ.sh --mode 0644
+	install -D environ.csh $(ETC)/environ.csh --mode 0644
+	install -D use.csh $(ETC)/csh/login.d/use.csh --mode 0644
+	install -D use.sh $(ETC)/profile.d/use.sh --mode 0644
+	install -D setenv.sh $(ETC)/profile.d/setenv.sh --mode 0644
+	install -D environ.d/emacs $(ETC)/environ.d/emacs --mode 0644
+	install -D environ.d/geany $(ETC)/environ.d/geany --mode 0644
+	install -D environ.d/gedit $(ETC)/environ.d/gedit --mode 0644
+	install -D environ.d/joe $(ETC)/environ.d/joe --mode 0644
+	install -D environ.d/vi $(ETC)/environ.d/vi --mode 0644
+	install -D environ.d/vim $(ETC)/environ.d/vim --mode 0644
+	install -D unuse.1 $(USRSHAREMAN)/man1/unuse.1 --mode 0644
+	install -D use.1 $(USRSHAREMAN)/man1/use.1 --mode 0644
+
+postinst:
+	@true
+
+clean:
+	@true
+
+.PHONY: all install postinst clean

## hubzero-use 1.3.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-use
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #
@@ -47,10 +47,13 @@
 	install -D unuse.1 $(USRSHAREMAN)/man1/unuse.1 --mode 0644
 	install -D use.1 $(USRSHAREMAN)/man1/use.1 --mode 0644
 
+uninstall:
+	@true
+
 postinst:
 	@true
 
 clean:
 	@true
 
-.PHONY: all install postinst clean
+.PHONY: all install uninstall postinst clean

## hubzero-use 2.1.0-1+deb7

=== Makefile ===
--- 
+++ 
@@ -2,25 +2,27 @@
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
 # @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
-# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
+# @license      http://opensource.org/licenses/MIT MIT
 #
 # Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
-# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
 #
-# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
-# software: you can redistribute it and/or modify it under the terms of
-# the GNU Lesser General Public License as published by the Free Software
-# Foundation, either version 3 of the License, or (at your option) any
-# later version.
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
 #
-# HUBzero is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #

=== debian/changelog ===
hubzero-use (2.1.0-1+deb7) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Apr 2018 10:21:17 -0400

hubzero-use (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 30 Aug 2015 20:30:50 -0400

hubzero-use (1.3.1-1) unstable; urgency=low

  * match redhat packaging version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 30 Aug 2015 20:24:12 -0400

hubzero-use (1.3.0-1) unstable; urgency=low

  * Update copyright statements 

 -- Nicholas Kisseberth <nkissebe@nix8.hubzero.org>  Wed, 20 May 2015 10:33:28 -0400

hubzero-use (1.2.0-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 08 Sep 2014 18:48:31 -0400

hubzero-use (1.1.6-1) unstable; urgency=low

  * changing exit status to 1 when use is given an invalid environment

 -- Derrick Kearney <dsk@purdue.edu>  Mon, 31 Mar 2014 14:19:59 -0400

hubzero-use (1.1.5-1) unstable; urgency=low

  * removing .environ.d directories that reside in $HOME
    from being included in ENVIRON_CONFIG_DIRS because
    we don't want users to be able to change the intended
    environment while running a tool.
  * adding a use script for the geany editor, which is a
    good replacement for gedit, when it is not available.

 -- Derrick Kearney <dsk@purdue.edu>  Wed, 09 Oct 2013 18:20:31 -0400

hubzero-use (1.1.4-1) unstable; urgency=low

  * repackaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Aug 2013 10:29:41 -0400

hubzero-use (1.1.3-1) unstable; urgency=low

  * Update copyright statements

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 17 Aug 2013 16:44:13 -0400

hubzero-use (1.1.2-1) unstable; urgency=low

  * add EDITORS tag to sample use profiles

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 25 Oct 2012 13:34:29 -0400

hubzero-use (1.1.1-1) unstable; urgency=low

  * update copyrights
  * add configuration hooks for hubzero-use-apps

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 29 Aug 2012 17:04:08 -0400

hubzero-use (1.1.0-2) unstable; urgency=low

  * update description

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Mar 2012 17:42:14 -0400

hubzero-use (1.1.0-1) unstable; urgency=low

  * Remove references to /apps
  * Fix references to ENVIRON_CONFIG_DIRS in manpages
  * Allow colon separated directories in ENVIRON_CONFIG_DIRS
  * Remove unused files from packaging
  * Lintian fixes
  * Move use.csh to Debian's /etc/csh/login.d
  * Remove dependency on patch
  * profile.d patch unnecessary on Debian 6

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 05 Mar 2012 09:41:16 -0500

hubzero-use (1.0.2-1) unstable; urgency=low

  * Remove more bashisms

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 07 Nov 2011 15:22:07 -0500

hubzero-use (1.0.1-1) testing; urgency=low

  * Converting from bash shell script to borne shell script

 -- Derrick Kearney <dsk@purdue.edu>  Tue, 18 Oct 2011 17:04:32 -0400

hubzero-use (1.0.0-1) testing; urgency=low

  * Updated to 1.0

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 08 Apr 2011 00:29:19 -0400

hubzero-use (0.9.1-1) testing; urgency=low

  * new environ.sh and related scripts

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 04 Apr 2011 10:17:40 -0400

hubzero-use (0.9.0-1) testing; urgency=low

  * Updated copyright and cleaned out debian directory.  Moved to testing
    repository.

 -- John Rosheck <jrosheck@purdue.edu>  Sun, 06 Mar 2011 04:44:29 -0500

hubzero-use (0.8.3-1) unstable; urgency=low

  * Non-maintainer upload.
  * Updated version for repository, change arch in control to all

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 24 Sep 2010 17:32:36 -0400

hubzero-use (0.8.2-1) stable; urgency=low

  * add tag() support for chuse, update copyright year 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 16 Sep 2010 14:31:09 -0400

hubzero-use (0.8.1-2) stable; urgency=low

  * add patch as a dependency for now

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 03 Apr 2010 16:42:59 -0400

hubzero-use (0.8.1-1) stable; urgency=low

  * Clean up native build to be debian packager friendly

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 01 Apr 2010 15:22:13 -0400

hubzero-use (0.8.0-1) stable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 01 Apr 2010 14:26:02 -0400

=== debian/control ===
Source: hubzero-use
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-use
Architecture: all
Depends: base-files (>=5.3) ${misc:Depends}
Description: HUBzero user environment manager
 HUBzero user environment manager (use). The use command incorporates the 
 specified ENVIRONMENT to the current shell. The unuse command 
 removes it. It optionally records the selection persistently
 so that subsequent shells will use the ENVIRONMENT. These commands 
 are independent of the shell being run.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-use
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-use install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-use 2.1.0-1+deb8

=== debian/changelog ===
hubzero-use (2.1.0-1+deb8) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Apr 2018 10:21:17 -0400

## hubzero-use 2.1.1-1+deb7

=== debian/changelog ===
hubzero-use (2.1.1-1+deb7) unstable; urgency=low

  * revert csh use fix from 2016 which apparently fails

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 26 Jun 2018 16:58:34 -0400

hubzero-use (2.1.0-1) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Apr 2018 10:21:17 -0400

## hubzero-use 2.1.1-1+deb8

=== debian/changelog ===
hubzero-use (2.1.1-1+deb8) unstable; urgency=low

  * revert csh use fix from 2016 which apparently fails

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 26 Jun 2018 16:58:34 -0400

## hubzero-use 2.2.0-1+deb9

=== debian/changelog ===
hubzero-use (2.2.0-1+deb9) unstable; urgency=low

  * packaging update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 29 May 2018 13:46:11 -0400

## hubzero-use 2.2.1-1+deb8

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-use
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

=== debian/changelog ===
hubzero-use (2.2.1-1+deb8) unstable; urgency=low

  * revert csh use fix from 2016 which apparently fails

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 26 Jun 2018 17:06:22 -0400

hubzero-use (2.2.0-1) unstable; urgency=low

  * minor packaging update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 12 Apr 2018 15:17:41 -0400

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 # @package      hubzero-use
 # @file         rules
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

## hubzero-use 2.2.3-1+deb10

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-use
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 ETC=$(DESTDIR)/etc
@@ -40,10 +39,7 @@
 	install -D use.csh $(ETC)/csh/login.d/use.csh --mode 0644
 	install -D use.sh $(ETC)/profile.d/use.sh --mode 0644
 	install -D setenv.sh $(ETC)/profile.d/setenv.sh --mode 0644
-	install -D environ.d/emacs $(ETC)/environ.d/emacs --mode 0644
 	install -D environ.d/geany $(ETC)/environ.d/geany --mode 0644
-	install -D environ.d/gedit $(ETC)/environ.d/gedit --mode 0644
-	install -D environ.d/joe $(ETC)/environ.d/joe --mode 0644
 	install -D environ.d/vi $(ETC)/environ.d/vi --mode 0644
 	install -D environ.d/vim $(ETC)/environ.d/vim --mode 0644
 	install -D unuse.1 $(USRSHAREMAN)/man1/unuse.1 --mode 0644

=== debian/changelog ===
hubzero-use (2.2.3-1+deb10) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years
  * remove some outdated samples

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 01 May 2020 21:40:52 -0700

hubzero-use (2.2.2-1) unstable; urgency=low

  * correct license reference in file

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 20 Mar 2019 14:57:12 -0400

hubzero-use (2.2.1-1) unstable; urgency=low

  * revert csh use fix from 2016 which apparently fails

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 26 Jun 2018 17:06:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hubzero-use
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Build-Depends: debhelper (>= 8.0.0)
 Standards-Version: 3.8.4
 Homepage: http://hubzero.org

## hubzero-use 2.2.4-1+deb9

=== debian/changelog ===
hubzero-use (2.2.4-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 20:31:20 -0700

hubzero-use (2.2.3-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years
  * remove some outdated samples

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 01 May 2020 21:40:52 -0700

## hubzero-use 2.2.5-1+deb7

=== debian/changelog ===
hubzero-use (2.2.5-1+deb7) unstable; urgency=low

    Revived emacs configuration for tool sessions
    Fixed use recursion w/csh, added moduleCommand for clusters

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 08:10:12 -0700

hubzero-use (2.2.4-1) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 20:31:20 -0700

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-use
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.

## hubzero-use 2.2.5-1+deb10

=== debian/changelog ===
hubzero-use (2.2.5-1+deb10) unstable; urgency=low

    Revived emacs configuration for tool sessions
    Fixed use recursion w/csh, added moduleCommand for clusters

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 08:10:12 -0700

## hubzero-use 2.2.6-1+deb7

=== debian/changelog ===
hubzero-use (2.2.6-1+deb7) unstable; urgency=low

    Fixed recursive use/unuse

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 02 Jun 2023 09:53:38 -0700

hubzero-use (2.2.5-1) unstable; urgency=low

    Revived emacs configuration for tool sessions
    Fixed use recursion w/csh, added moduleCommand for clusters

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 30 May 2023 08:10:12 -0700

## hubzero-use 2.2.6-1+deb10

=== debian/changelog ===
hubzero-use (2.2.6-1+deb10) unstable; urgency=low

    Fixed recursive use/unuse

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 02 Jun 2023 09:53:38 -0700

## hubzero-use 2.2.7-1+deb7

=== debian/changelog ===
hubzero-use (2.2.7-1+deb7) unstable; urgency=low

    Fixed recursive prepend operation

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 06 Jun 2023 15:05:19 -0700

hubzero-use (2.2.6-1) unstable; urgency=low

    Fixed recursive use/unuse

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 02 Jun 2023 09:53:38 -0700

## hubzero-use 2.2.7-1+deb10

=== debian/changelog ===
hubzero-use (2.2.7-1+deb10) unstable; urgency=low

    Fixed recursive prepend operation

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 06 Jun 2023 15:05:19 -0700

## hubzero-use 2.2.7-1+deb12

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,7 @@
 	install -D use.csh $(ETC)/csh/login.d/use.csh --mode 0644
 	install -D use.sh $(ETC)/profile.d/use.sh --mode 0644
 	install -D setenv.sh $(ETC)/profile.d/setenv.sh --mode 0644
+	install -D environ.d/emacs $(ETC)/environ.d/emacs --mode 0644
 	install -D environ.d/geany $(ETC)/environ.d/geany --mode 0644
 	install -D environ.d/vi $(ETC)/environ.d/vi --mode 0644
 	install -D environ.d/vim $(ETC)/environ.d/vim --mode 0644

=== debian/changelog ===
hubzero-use (2.2.7-1+deb12) unstable; urgency=low

    Fixed recursive prepend operation

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 06 Jun 2023 15:05:19 -0700
